#TODO: systemtap/dtrace
#
Summary:	JavaScript bindings for GNOME
Summary(pl.UTF-8):	Wiązania JavaScriptu dla GNOME
Name:		gjs
Version:	1.38.1
Release:	1
License:	MIT and (MPL v1.1 or GPL v2+ or LGPL v2+)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gjs/1.38/%{name}-%{version}.tar.xz
# Source0-md5:	0f3422a114cb69735274e75e325013a3
URL:		http://live.gnome.org/Gjs
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	cairo-gobject-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 1.38.0
BuildRequires:	mozjs17-devel
BuildRequires:	libffi-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
Requires:	glib2 >= 1:2.36.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gjs allows using GNOME libraries from JavaScript. It is mainly based
on Spidermonkey JavaScript engine and the GObject introspection
framework.

%description -l pl.UTF-8
Gjs pozwala używać bibliotek GNOME z JavaScriptem. Jest oparty głównie
na silniku JavaScriptu Spidermonkey i systemie GObject introspection.

%package devel
Summary:	Header files for gjs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gjs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel
Requires:	glib2-devel >= 1:2.36.0
Requires:	gobject-introspection-devel >= 1.36.0
Requires:	js185-devel

%description devel
Header files for gjs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gjs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_bindir}/gjs
%attr(755,root,root) %{_bindir}/gjs-console
%attr(755,root,root) %{_libdir}/libgjs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgjs.so.0
%dir %{_libdir}/gjs
%dir %{_libdir}/gjs/girepository-1.0
%{_libdir}/gjs/girepository-1.0/GjsPrivate-1.0.typelib
%{_datadir}/gjs-1.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgjs.so
%{_includedir}/gjs-1.0
%{_pkgconfigdir}/gjs-1.0.pc
%{_pkgconfigdir}/gjs-internals-1.0.pc
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Sep 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gjs.git;a=log;h=master

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> 68e1bbe
- Up to 1.38.1

* Sat Jul 06 2013 Marcin Krol <hawk@tld-linux.org> 05933df
- release 2 (by relup.sh)

* Mon Apr 22 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 0743e74
- Update to 1.36.1

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> e6d72c2
- Update to 1.36.0

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> ae61245
- pl fix, updated gi R in -devel

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 6fbae1e
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Mon Sep 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 118870d
- merged from DEVEL
- updated to 1.34.0

* Wed Sep 05 2012 Łukasz Kieś <kiesiu@pld-linux.org> f49a794
- updated to 1.33.10

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1ec4cb2
- updated to 1.33.9

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7fc640e
- obsoleted

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 00b608e
- obsolete

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0a8630e
- updated to 1.32.0; merged changes from DEVEL

* Thu Jan 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 91ba7de
- typo

* Wed Jan 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> a231b7b
- obsolete

* Wed Jan 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8b1beac
- updated to 1.30.1
- drop jsval patch
- link against SpiderMonkey (ged rid off xulrunner dependency at all)

* Tue Dec 27 2011 Artur Frysiak <artur@frysiak.net> 9cfe439
- Patch gjs/jsapi-util.c too

* Tue Dec 27 2011 Artur Frysiak <artur@frysiak.net> a1ecd44
- use macros to detect JSVAL_NULL/JSVAL_VOID
- rel. 9

* Tue Dec 27 2011 Artur Frysiak <artur@frysiak.net> 8bc6e50
- workaround pkglibdir sanity checks introduced in Automake 1.11.2
- rel. 8

* Thu Dec 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a683fb
- release 7

* Fri Dec 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7059101
- release 6

